SET GLOBAL event_scheduler = ON;

DROP EVENT IF EXISTS STERGERE_PRODUSE_CARE_NU_SUNT_IN_STOC;
#
CREATE EVENT STERGERE_PRODUSE_CARE_NU_SUNT_IN_STOC
  ON SCHEDULE EVERY 1 HOUR
  STARTS NOW()
  ON COMPLETION PRESERVE
  DO
    DELETE FROM Produs
    WHERE cantitate = 0;
#

DROP EVENT IF EXISTS STERGERE_FIRME_CARE_NU_AU_CONT;
#
CREATE EVENT STERGERE_FIRME_CARE_NU_AU_CONT
  ON SCHEDULE EVERY 1 HOUR
  STARTS NOW()
  ON COMPLETION PRESERVE
  DO
    DELETE FROM Cont_firma
    WHERE NOT EXISTS
       (SELECT * FROM Cont_user WHERE Firma_id = Cont_firma.idFirma);
#
       
DROP EVENT IF EXISTS STERGERE_PRODUCATORI_CARE_NU_AU_PRODUS;
#
CREATE EVENT STERGERE_PRODUCATORI_CARE_NU_AU_PRODUS
  ON SCHEDULE EVERY 1 HOUR
  STARTS NOW()
  ON COMPLETION PRESERVE
  DO
	DELETE FROM Producator
    WHERE NOT EXISTS
       (SELECT * FROM Produs WHERE Producator_id = Producator.idProducator);
#
  
SHOW EVENTS;    