DROP FUNCTION IF EXISTS RET_CONT_ID;
DELIMITER //
# Returneaza id-ul contului in functie de username si password
CREATE FUNCTION RET_CONT_ID(f_username VARCHAR(45),f_password VARCHAR(45)) RETURNS INT
  DETERMINISTIC
  BEGIN
     DECLARE id_ret INT;
     SET id_ret = 0;
     SELECT id INTO id_ret
     FROM Login WHERE (username = f_username AND password = f_password);
     RETURN id_ret;
  END //
DELIMITER ;

DROP FUNCTION IF EXISTS RET_CONT_TIP;
DELIMITER //
#Returneaza tipul contului in functie de username : 0 - admin si 1 - user
CREATE FUNCTION RET_CONT_TIP(f_username VARCHAR(45)) RETURNS INT
  DETERMINISTIC
  BEGIN
     DECLARE tip_cont VARCHAR(45);
	 DECLARE tip_ret INT;
     SELECT tip INTO tip_cont
     FROM Login WHERE username = f_username;
     IF (tip_cont = "admin") THEN
        SET tip_ret = 0;
	 END IF;
     IF (tip_cont = "user") THEN
        SET tip_ret = 1;
	 END IF;
	 RETURN tip_ret;
  END //
DELIMITER ;

DROP FUNCTION IF EXISTS RET_PRODUCATOR_ID;
DELIMITER //
#Returneaza id-ul producatorului in functie de nume
CREATE FUNCTION RET_PRODUCATOR_ID(f_nume_prod VARCHAR(45)) RETURNS INT
  DETERMINISTIC
  BEGIN
     DECLARE id_ret INT;
     SET id_ret = 0; 
	 SELECT idProducator INTO id_ret
     FROM producator WHERE nume = f_nume_prod;
     RETURN id_ret;
  END //
DELIMITER ;

DROP FUNCTION IF EXISTS RET_NUME_PRODUS;
DELIMITER //
#Returneaza numele produsului in functie de id
CREATE FUNCTION RET_NUME_PRODUS(f_produs_id INT) RETURNS VARCHAR(70)
  DETERMINISTIC
  BEGIN
     DECLARE nume_ret VARCHAR(70);
     SET nume_ret = NULL;
 	 SELECT nume INTO nume_ret
     FROM produs WHERE idProdus = f_produs_id;
     RETURN nume_ret;    
  END //
DELIMITER ;

DROP FUNCTION IF EXISTS RET_ID_PRODUS;
DELIMITER //
#Returneaza id-ul produsului in functie de nume
CREATE FUNCTION RET_ID_PRODUS(f_produs_nume VARCHAR(70)) RETURNS INT
  DETERMINISTIC
  BEGIN
     DECLARE id_ret INT;
     SET id_ret = 0;
 	 SELECT idProdus INTO id_ret
     FROM produs WHERE nume = f_produs_nume;
     RETURN id_ret;    
  END //
DELIMITER ;

DROP FUNCTION IF EXISTS RET_SUMA_COMANDA;
DELIMITER //
#Returneaza valoarea in lei curenta a cosului de cumparaturi
CREATE FUNCTION RET_SUMA_COMANDA(f_cont_id INT) RETURNS INT
  DETERMINISTIC
  BEGIN
     DECLARE ret_suma INT;
     SET ret_suma = 0;
     SELECT SUM(valoare) INTO ret_suma
     FROM Comanda WHERE Cont_id = f_cont_id;
	 RETURN ret_suma;    
  END //
DELIMITER ;