DROP TRIGGER IF EXISTS STERGERE_DIN_STOC;
DELIMITER //

CREATE TRIGGER STERGERE_DIN_STOC BEFORE DELETE ON Comanda
  FOR EACH ROW 
  BEGIN
     IF (@DISABLE_STERGERE = 0) THEN
        UPDATE Produs
        SET cantitate = cantitate - old.cantitate
        WHERE idProdus = old.Produs_id;
	 END IF;
  END //
DELIMITER ;
  
DROP TRIGGER IF EXISTS STERGERE_INFORMATII_PRODUS;
DELIMITER //

CREATE TRIGGER STERGERE_INFORMATII_PRODUS BEFORE DELETE ON Produs
  FOR EACH ROW 
  BEGIN
     IF (old.tip = "Placa de baza") THEN
        DELETE FROM Placa_de_baza
        WHERE old.idProdus = Produs_id;
     END IF;
	 IF (old.tip = "Placa video") THEN
        DELETE FROM Placa_video
        WHERE old.idProdus = Produs_id;
     END IF;
	 IF (old.tip = "Sursa") THEN
        DELETE FROM Sursa
        WHERE old.idProdus = Produs_id;
     END IF;
	 IF (old.tip = "Procesor") THEN
        DELETE FROM Procesor
        WHERE old.idProdus = Produs_id;
     END IF;
	 IF (old.tip = "RAM") THEN
        DELETE FROM RAM
        WHERE old.idProdus = Produs_id;
     END IF;
	 IF (old.tip = "SSD") THEN
        DELETE FROM Stocare_solid
        WHERE old.idProdus = Produs_id;
     END IF;
	 IF (old.tip = "Hard disk") THEN
        DELETE FROM stocare_hard
        WHERE old.idProdus = Produs_id;
     END IF;
     UPDATE Istoric_comenzi 
	 SET Produs_id = 0
     WHERE Produs_id = old.idProdus;
  END //
DELIMITER ;

DROP TRIGGER IF EXISTS STERGERE_INFORMATII_CONT;
DELIMITER //

CREATE TRIGGER STERGERE_INFORMATII_CONT BEFORE DELETE ON Login
  FOR EACH ROW 
  BEGIN
	 SET @DISABLE_STERGERE = 1;
     IF (old.tip = "admin") THEN
        DELETE FROM Cont_admin
        WHERE Login_id = old.id;
     END IF;
	 IF (old.tip = "user") THEN
		DELETE FROM Card
        WHERE Cont_id = old.id;
        DELETE FROM Comanda
        WHERE Cont_id = old.id;
		UPDATE Istoric_comenzi
        SET Cont_id = 0
        WHERE Cont_id = old.id;
		DELETE FROM Cont_user
        WHERE Login_id = old.id;
     END IF;
	 SET @DISABLE_STERGERE = 0;
  END //
DELIMITER ;